	/**
	 * Empty constructor
	 */
	NxtDevice = function() {
	};

	/**
	 * Register a notification message for a specific date / time
	 * 
	 * @param successCB
	 * @param failureCB
	 * @param options
	 *            Array with arguments. Valid arguments are date, message,
	 *            repeatDaily and id
	 */
	NxtDevice.prototype.getModel = function(success,fail) {
	    cordova.exec(success,fail,"NxtDevice","getModel",[]);
	};

    NxtDevice.prototype.getLanguage = function(success,fail) {
        cordova.exec(success,fail,"NxtDevice","getLanguage",[]);
    };

	/**
	 * Register this plugin with cordova
	 */
    if (!window.plugins) {
        window.plugins = {};
    }
    if (!window.plugins.nxtDevice) {
        window.plugins.nxtDevice = new NxtDevice();
    }
//}
